Bug 680288 - [abrt] system-config-printer-1.3.1-1.fc16: newprinter.py:3214:on_NPDrivers_query_tooltip:AttributeError: 'NoneType' object has no attribute 'getInfoFromPPDName'
Summary: [abrt] system-config-printer-1.3.1-1.fc16: newprinter.py:3214:on_NPDrivers_qu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8e8dd0d7
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-24 22:32 UTC by Horst H. von Brand
Modified: 2011-03-23 05:00 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.3.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-23 05:00:07 UTC


Attachments (Terms of Use)
File: backtrace (901 bytes, text/plain)
2011-02-24 22:32 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2011-02-24 22:32:10 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.38-0.rc6.git0.1.fc16.x86_64
package: system-config-printer-1.3.1-1.fc16
reason: newprinter.py:3214:on_NPDrivers_query_tooltip:AttributeError: 'NoneType' object has no attribute 'getInfoFromPPDName'
release: Fedora release 16 (Rawhide)
time: 1298586621
uid: 501

backtrace
-----
newprinter.py:3214:on_NPDrivers_query_tooltip:AttributeError: 'NoneType' object has no attribute 'getInfoFromPPDName'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 3214, in on_NPDrivers_query_tooltip
    ppddict = self.ppds.getInfoFromPPDName(drivername)
AttributeError: 'NoneType' object has no attribute 'getInfoFromPPDName'

Local variables in innermost frame:
keyboard_mode: False
tv: <gtk.TreeView object at 0x1ac4aa0 (GtkTreeView at 0x1df5930)>
self: <NewPrinterGUI object at 0x1aaf230 (newprinter+NewPrinterGUI at 0x1c26e20)>
tooltip: <gtk.Tooltip object at 0x2235b90 (GtkTooltip at 0x1f473f0)>
drivername: u'lsb/usr/epson-inkjet-printer-escpr/Epson/Epson-Stylus_CX7700-epson-inkjet-printer-escpr.ppd.gz'
x: 9
y: 45
path: (0,)
bin_x: 18
bin_y: 20
ret: ((0,), <gtk.TreeViewColumn object at 0x22355f0 (GtkTreeViewColumn at 0x1edc250)>, 18, 20)

How to reproduce
-----
1. Changed the printer driver
2. Printed a test page
3. Went back to "Change..." to get its name, cancelled the "Search for driver"

Comment 1 Horst H. von Brand 2011-02-24 22:32:12 UTC
Created attachment 480871 [details]
File: backtrace

Comment 2 Tim Waugh 2011-02-25 10:46:33 UTC
Thanks for the report.  Fixed upstream in 115c0fc.

Comment 3 Fedora Update System 2011-03-18 17:26:26 UTC
system-config-printer-1.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/system-config-printer-1.3.2-1.fc15

Comment 4 Fedora Update System 2011-03-23 04:59:39 UTC
system-config-printer-1.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.